Package org.apache.sling.query.impl.selector

## Enum FunctionType

- java.lang.Object
- - java.lang.Enum<FunctionType>
  - - org.apache.sling.query.impl.selector.FunctionType

All Implemented Interfaces:
  `Serializable`, `Comparable<FunctionType>`

    public enum FunctionType
    extends Enum<FunctionType>

### Enum Constant Summary

Enum Constants
`EMPTY`
`EQ`
`EVEN`
`FIRST`
`GT`
`HAS`
`LAST`
`LT`
`NOT`
`ODD`
`PARENT`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract <T> Function<?,​?>` `getFunction​(String argument, SearchStrategy strategy, org.apache.sling.query.api.internal.TreeProvider<T> provider)`
`static FunctionType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static FunctionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EQ

    public static final FunctionType EQ

#### FIRST

    public static final FunctionType FIRST

#### LAST

    public static final FunctionType LAST

#### GT

    public static final FunctionType GT

#### LT

    public static final FunctionType LT

#### HAS

    public static final FunctionType HAS

#### PARENT

    public static final FunctionType PARENT

#### EMPTY

    public static final FunctionType EMPTY

#### ODD

    public static final FunctionType ODD

#### EVEN

    public static final FunctionType EVEN

#### NOT

    public static final FunctionType NOT

### Method Detail

#### values

    public static FunctionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FunctionType c : FunctionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FunctionType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getFunction

    public abstract <T> Function<?,​?> getFunction​(String argument,
                                                        SearchStrategy strategy,
                                                        org.apache.sling.query.api.internal.TreeProvider<T> provider)